随笔 - 113  文章 - 19 评论 - 52 trackbacks - 0

 

解决办法

  1、安装依赖zlib、zlib-devel

  2、重新编译安装Python

具体步骤

  1  到python安装目录下,运行./configure

  2  编辑Modules/Setup文件

    vim Modules/Setup

    找到下面这句,去掉注释

    #zlib zlibmodule.c -I$(prefix)/include -L$(exec_prefix)/lib -lz

  3  重新编译安装:

    make     这里可能仍会报错:[Modules/zlibmodule.o] Error 1

      解决方案:

#这个错误的原因是没有安装zlib库:
#所以我们要首先安装zlib库
cd /opt/Python-2.7.2/Modules/zlib
./configure make && make install 

    make install 

  4  重新执行

posted on 2016-09-02 20:52 MnCu 阅读(...) 评论(...) 编辑 收藏